GET
/
FlightBookingDetailed
Flight booking reports
curl --request GET \
  --url https://reporting-dev.cteleport.com/v2/odata/FlightBookingDetailed \
  --header 'Authorization: Basic <encoded-value>'
{
  "@odata.context": "<string>",
  "value": [
    {
      "BookingId": "<string>",
      "Locator": "<string>",
      "State": "<string>",
      "Co2EmissionsKg": 123,
      "MileageKm": 123,
      "CreatedAt": "2023-11-07T05:31:56Z",
      "DepartureAt": "2023-11-07T05:31:56Z",
      "ArrivalAt": "2023-11-07T05:31:56Z",
      "CancelledAt": "2023-11-07T05:31:56Z",
      "FirstOrigin": "<string>",
      "LastDestination": "<string>",
      "FullRoute": "<string>",
      "TotalConnectionDuration": 123,
      "TenantId": "<string>",
      "NoShow": true,
      "RejectReason": "<string>",
      "RejectedAt": "2023-11-07T05:31:56Z",
      "ApprovedAt": "2023-11-07T05:31:56Z",
      "PaymentMethod": "<string>",
      "FrequentFlyerNumberUsed": true,
      "PassengerLastName": "<string>",
      "PassengerFirstName": "<string>",
      "TermsFareType": "<string>",
      "VesselName": "<string>",
      "VesselFlag": "<string>",
      "PriceTotal": 123,
      "PriceCurrency": "<string>",
      "CreatedByUserName": "<string>",
      "ApprovedByUserName": "<string>",
      "RejectedByUserName": "<string>",
      "CancelledByUserName": "<string>",
      "CustomFieldsMap": "<string>",
      "FlightNumbers": "<string>",
      "PNRs": "<string>",
      "FarePlatingCarriers": "<string>",
      "AirlineNames": "<string>",
      "TicketNumbers": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using reporting credentials provided by C Teleport. Username and password are issued per-customer — contact api@cteleport.com to obtain yours.

Query Parameters

$filter
string

OData filter expression. Examples:

  • bookingDate gt 2026-01-01
  • status eq 'confirmed'
  • carrier eq 'KL' and departureDate gt 2026-01-01
$select
string

Comma-separated list of fields to include in the response.

$orderby
string

OData ordering expression. Examples:

  • bookingDate desc
  • totalCost asc
$top
integer

Maximum number of records to return (default varies by endpoint).

$skip
integer

Number of records to skip for pagination.

$count
boolean

Set to true to include total record count in the response.

Response

Flight booking reporting data.

@odata.context
string

OData metadata context URL.

value
object[]